Bug 1736756 - suricata.service file uses unknown options on EL7
Summary: suricata.service file uses unknown options on EL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: suricata
Version: epel7
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-01 21:42 UTC by Orion Poplawski
Modified: 2019-10-16 15:58 UTC (History)
4 users (show)

Fixed In Version: suricata-4.1.5-2.el7 suricata-4.1.5-3.fc31 suricata-4.1.5-3.fc30 suricata-4.1.5-3.fc29 suricata-4.1.5-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-08 00:26:45 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2019-08-01 21:42:32 UTC
Description of problem:

Jul 31 09:05:29 localhost systemd[1]: [/usr/lib/systemd/system/suricata.service:17] Unknown lvalue 'MemoryDenyWriteExecute' in section 'Service'
Jul 31 09:05:29 localhost systemd[1]: [/usr/lib/systemd/system/suricata.service:18] Unknown lvalue 'LockPersonality' in section 'Service'
Jul 31 09:05:29 localhost systemd[1]: [/usr/lib/systemd/system/suricata.service:19] Unknown lvalue 'ProtectControlGroups' in section 'Service'
Jul 31 09:05:29 localhost systemd[1]: [/usr/lib/systemd/system/suricata.service:20] Unknown lvalue 'ProtectKernelModules' in section 'Service'

Version-Release number of selected component (if applicable):
suricata-4.1.4-3.el7.x86_64

Comment 1 Steve Grubb 2019-09-25 22:36:11 UTC
suricata-4.1.5-2.el7 was built to fix this issue. The security options are now only applied to Fedora builds.

Comment 2 Fedora Update System 2019-09-25 23:05:11 UTC
FEDORA-2019-b2037db7d0 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2037db7d0

Comment 3 Fedora Update System 2019-09-25 23:05:14 UTC
FEDORA-2019-0574d3bf77 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0574d3bf77

Comment 4 Fedora Update System 2019-09-26 01:29:45 UTC
suricata-4.1.5-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c680ecbf8b

Comment 5 Fedora Update System 2019-09-26 01:49:00 UTC
suricata-4.1.5-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0740d6c6a4

Comment 6 Fedora Update System 2019-09-26 02:48:39 UTC
suricata-4.1.5-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0574d3bf77

Comment 7 Fedora Update System 2019-09-26 02:56:27 UTC
suricata-4.1.5-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2037db7d0

Comment 8 Fedora Update System 2019-10-01 21:31:45 UTC
FEDORA-2019-ded15d6582 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ded15d6582

Comment 9 Fedora Update System 2019-10-01 21:31:53 UTC
FEDORA-2019-fddfb520ec has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-fddfb520ec

Comment 10 Fedora Update System 2019-10-01 21:31:56 UTC
FEDORA-EPEL-2019-180a83b5fc has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-180a83b5fc

Comment 11 Fedora Update System 2019-10-02 00:56:48 UTC
suricata-4.1.5-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-180a83b5fc

Comment 12 Fedora Update System 2019-10-02 03:19:40 UTC
suricata-4.1.5-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ded15d6582

Comment 13 Fedora Update System 2019-10-02 15:41:58 UTC
suricata-4.1.5-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-fddfb520ec

Comment 14 Fedora Update System 2019-10-02 15:53:26 UTC
suricata-4.1.5-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-52b360546c

Comment 15 Fedora Update System 2019-10-08 00:26:45 UTC
suricata-4.1.5-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-10-09 16:53:28 UTC
suricata-4.1.5-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-10-09 17:23:38 UTC
suricata-4.1.5-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-10-16 15:58:23 UTC
suricata-4.1.5-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.